#! /usr/bin/env python

from openturns import *

TESTPREAMBLE()
RandomGenerator().SetSeed(0)

try :
    distribution = Uniform(1., 2.5)
    size = 10000
    sample = distribution.getSample(size)
    factory = UniformFactory()
    estimatedDistribution = factory.build(sample)
    print "distribution=", repr(distribution)
    print "Estimated distribution=", repr(estimatedDistribution)

except :
    import sys
    print "t_UniformFactory.py", sys.exc_type, sys.exc_value
